VULKAN_HPP_NAMESPACE::ImageResolve Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageResolve:
[legend]

## Public Member Functions

| ImageResolve (ImageSubresourceLayers srcSubresource_=ImageSubresourceLayers(), Offset3D srcOffset_=Offset3D(), ImageSubresourceLayers dstSubresource_=ImageSubresourceLayers(), Offset3D dstOffset_=Offset3D(), Extent3D extent_=Extent3D())
| ImageResolve (VkImageResolve const &rhs)
ImageResolve & | operator= (VkImageResolve const &rhs)
ImageResolve & | setSrcSubresource (ImageSubresourceLayers srcSubresource_)
ImageResolve & | setSrcOffset (Offset3D srcOffset_)
ImageResolve & | setDstSubresource (ImageSubresourceLayers dstSubresource_)
ImageResolve & | setDstOffset (Offset3D dstOffset_)
ImageResolve & | setExtent (Extent3D extent_)
| operator VkImageResolve const & () const
| operator VkImageResolve & ()
bool | operator== (ImageResolve const &rhs) const
bool | operator!= (ImageResolve const &rhs) const

## Data Fields

ImageSubresourceLayers | srcSubresource
Offset3D | srcOffset
ImageSubresourceLayers | dstSubresource
Offset3D | dstOffset
Extent3D | extent

## Detailed Description

Definition at line 25476 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageResolve() [1/2]

VULKAN_HPP_NAMESPACE::ImageResolve::ImageResolve | ( | ImageSubresourceLayers | srcSubresource_ = `ImageSubresourceLayers()`,
|  | Offset3D | srcOffset_ = `Offset3D()`,
|  | ImageSubresourceLayers | dstSubresource_ = `ImageSubresourceLayers()`,
|  | Offset3D | dstOffset_ = `Offset3D()`,
|  | Extent3D | extent_ = `Extent3D()`
| ) |  |

inline

Definition at line 25478 of file vulkan.hpp.

: srcSubresource( srcSubresource_ )
, srcOffset( srcOffset_ )
, dstSubresource( dstSubresource_ )
, dstOffset( dstOffset_ )
, extent( extent_ )
{
}

## ImageResolve() [2/2]

VULKAN_HPP_NAMESPACE::ImageResolve::ImageResolve | ( | VkImageResolve const & | rhs | ) |

inline

Definition at line 25491 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageResolve ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageResolve &()

VULKAN_HPP_NAMESPACE::ImageResolve::operator VkImageResolve & | ( |  | ) |

inline

Definition at line 25536 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageResolve*>(this);
}

## operator VkImageResolve const &()

VULKAN_HPP_NAMESPACE::ImageResolve::operator VkImageResolve const & | ( |  | ) | const

inline

Definition at line 25531 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageResolve*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageResolve::operator!= | ( | ImageResolve const & | rhs | ) | const

inline

Definition at line 25550 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageResolve& VULKAN_HPP_NAMESPACE::ImageResolve::operator= | ( | VkImageResolve const & | rhs | ) |

inline

Definition at line 25496 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageResolve ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageResolve::operator== | ( | ImageResolve const & | rhs | ) | const

inline

Definition at line 25541 of file vulkan.hpp.

{
return ( srcSubresource == rhs.srcSubresource )
&& ( srcOffset == rhs.srcOffset )
&& ( dstSubresource == rhs.dstSubresource )
&& ( dstOffset == rhs.dstOffset )
&& ( extent == rhs.extent );
}

References dstOffset, dstSubresource, extent, srcOffset, and srcSubresource.

Referenced by operator!=().

## setDstOffset()

ImageResolve& VULKAN_HPP_NAMESPACE::ImageResolve::setDstOffset | ( | Offset3D | dstOffset_ | ) |

inline

Definition at line 25519 of file vulkan.hpp.

{
dstOffset = dstOffset_;
return *this;
}

References dstOffset.

## setDstSubresource()

ImageResolve& VULKAN_HPP_NAMESPACE::ImageResolve::setDstSubresource | ( | ImageSubresourceLayers | dstSubresource_ | ) |

inline

Definition at line 25513 of file vulkan.hpp.

{
dstSubresource = dstSubresource_;
return *this;
}

References dstSubresource.

## setExtent()

ImageResolve& VULKAN_HPP_NAMESPACE::ImageResolve::setExtent | ( | Extent3D | extent_ | ) |

inline

Definition at line 25525 of file vulkan.hpp.

{
extent = extent_;
return *this;
}

References extent.

## setSrcOffset()

ImageResolve& VULKAN_HPP_NAMESPACE::ImageResolve::setSrcOffset | ( | Offset3D | srcOffset_ | ) |

inline

Definition at line 25507 of file vulkan.hpp.

{
srcOffset = srcOffset_;
return *this;
}

References srcOffset.

## setSrcSubresource()

ImageResolve& VULKAN_HPP_NAMESPACE::ImageResolve::setSrcSubresource | ( | ImageSubresourceLayers | srcSubresource_ | ) |

inline

Definition at line 25501 of file vulkan.hpp.

{
srcSubresource = srcSubresource_;
return *this;
}

References srcSubresource.

## Field Documentation

## dstOffset

Offset3D VULKAN_HPP_NAMESPACE::ImageResolve::dstOffset

Definition at line 25558 of file vulkan.hpp.

Referenced by operator==(), and setDstOffset().

## dstSubresource

ImageSubresourceLayers VULKAN_HPP_NAMESPACE::ImageResolve::dstSubresource

Definition at line 25557 of file vulkan.hpp.

Referenced by operator==(), and setDstSubresource().

## extent

Extent3D VULKAN_HPP_NAMESPACE::ImageResolve::extent

Definition at line 25559 of file vulkan.hpp.

Referenced by operator==(), and setExtent().

## srcOffset

Offset3D VULKAN_HPP_NAMESPACE::ImageResolve::srcOffset

Definition at line 25556 of file vulkan.hpp.

Referenced by operator==(), and setSrcOffset().

## srcSubresource

ImageSubresourceLayers VULKAN_HPP_NAMESPACE::ImageResolve::srcSubresource

Definition at line 25555 of file vulkan.hpp.

Referenced by operator==(), and setSrcSubresource().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageResolve::srcOffset
Offset3D srcOffset
Definition: vulkan.hpp:25556
VkImageResolve
Definition: vulkan_core.h:2768
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageResolve::dstSubresource
ImageSubresourceLayers dstSubresource
Definition: vulkan.hpp:25557
VULKAN_HPP_NAMESPACE::ImageResolve::operator==
bool operator==(ImageResolve const &rhs) const
Definition: vulkan.hpp:25541
VULKAN_HPP_NAMESPACE::ImageResolve::ImageResolve
ImageResolve(ImageSubresourceLayers srcSubresource_=ImageSubresourceLayers(), Offset3D srcOffset_=Offset3D(), ImageSubresourceLayers dstSubresource_=ImageSubresourceLayers(), Offset3D dstOffset_=Offset3D(), Extent3D extent_=Extent3D())
Definition: vulkan.hpp:25478
VULKAN_HPP_NAMESPACE::ImageResolve::dstOffset
Offset3D dstOffset
Definition: vulkan.hpp:25558
VULKAN_HPP_NAMESPACE::ImageResolve::srcSubresource
ImageSubresourceLayers srcSubresource
Definition: vulkan.hpp:25555
VULKAN_HPP_NAMESPACE::ImageResolve::extent
Extent3D extent
Definition: vulkan.hpp:25559